org.apache.cxf.interceptor

## Class LoggingInInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.AbstractLoggingInterceptor
    - - org.apache.cxf.interceptor.LoggingInInterceptor

- All Implemented Interfaces:
    Interceptor<Message>, PhaseInterceptor<Message>

      public class LoggingInInterceptor
      extends AbstractLoggingInterceptor

  A simple logging handler which outputs the bytes of the message to the Logger.

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.interceptor.AbstractLoggingInterceptor

      `BINARY_CONTENT_MESSAGE, DEFAULT_LIMIT, limit, MULTIPART_CONTENT_MESSAGE, prettyLogging, threshold, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingInInterceptor()`
    `LoggingInInterceptor(int lim)`
    `LoggingInInterceptor(PrintWriter w)`
    `LoggingInInterceptor(String phase)`
    `LoggingInInterceptor(String id, int lim)`
    `LoggingInInterceptor(String id, PrintWriter w)`
    `LoggingInInterceptor(String id, String phase)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `formatLoggingMessage(LoggingMessage loggingMessage)`
    `protected Logger` | `getLogger()`
    `void` | `handleMessage(Message message)` Intercepts a message.
    `protected void` | `logging(Logger logger, Message message)`
    `protected void` | `logInputStream(Message message, InputStream is, LoggingMessage buffer, String encoding, String ct)`
    `protected void` | `logReader(Message message, Reader reader, LoggingMessage buffer)`

    - ### Methods inherited from class org.apache.cxf.interceptor.AbstractLoggingInterceptor

      `getBinaryContentMediaTypes, getInMemThreshold, getLimit, getPrintWriter, isBinaryContent, isLoggingDisabledNow, isMultipartContent, isPrettyLogging, isShowBinaryContent, isShowMultipartContent, log, setBinaryContentMediaTypes, setInMemThreshold, setLimit, setOutputLocation, setPrettyLogging, setPrintWriter, setShowBinaryContent, setShowMultipartContent, transform, writePayload, writePayload, writePrettyPayload`

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingInInterceptor

          public LoggingInInterceptor()

    - #### LoggingInInterceptor

          public LoggingInInterceptor(String phase)

    - #### LoggingInInterceptor

          public LoggingInInterceptor(String id,
                                      String phase)

    - #### LoggingInInterceptor

          public LoggingInInterceptor(int lim)

    - #### LoggingInInterceptor

          public LoggingInInterceptor(String id,
                                      int lim)

    - #### LoggingInInterceptor

          public LoggingInInterceptor(PrintWriter w)

    - #### LoggingInInterceptor

          public LoggingInInterceptor(String id,
                                      PrintWriter w)

  - ### Method Detail

    - #### handleMessage

          public void handleMessage(Message message)
                             throws Fault

      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.
      Throws:
        `Fault`

    - #### logging

          protected void logging(Logger logger,
                                 Message message)
                          throws Fault

      Throws:
        `Fault`

    - #### logReader

          protected void logReader(Message message,
                                   Reader reader,
                                   LoggingMessage buffer)

    - #### logInputStream

          protected void logInputStream(Message message,
                                        InputStream is,
                                        LoggingMessage buffer,
                                        String encoding,
                                        String ct)

    - #### formatLoggingMessage

          protected String formatLoggingMessage(LoggingMessage loggingMessage)

    - #### getLogger

          protected Logger getLogger()

      Specified by:
        `getLogger` in class `AbstractLoggingInterceptor`

Apache CXF